 #include "spi.h"

 /* Initialize and enable the SPI module */
 void spi_initialize()
 {
     P1DIR |=CS_LINE;
     P1OUT |=(CS_LINE); // HIGH = inactive. 
     USICTL0 = (USIPE7 | USIPE6 | USIPE5 | USIMST | USIOE); // Configure 3-pins SPI master 
  // /16 SMCLK
  USICKCTL = USIDIV_3 + USISSEL_2;
  USICNT=USI16B;
  // Reset USI
  USICTL0 &= ~USISWRST; 
 }

 /* Send a single byte over the SPI port */
 void spi_send_byte(u16 input)
{
  while (!(USICTL1&USIIFG));
  P1OUT &= ~(CS_LINE); //P2 low
    USISR=input;
    USICNT=USI16B+16; //do 16 bits
    while (!(USICTL1&USIIFG)); //block
  P1OUT |= (CS_LINE); //Set P2 high
}
